%define name	gsmlib
%define version	1.11
%define release %mkrel 0.3
%define major	1
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	Library and utilities to access GSM mobile phones
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-pre1.11-041028.tar.bz2
Patch:		gsmlib-1.11-gcc4.patch
URL:		http://www.pxh.de/fs/gsmlib/index.html
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext bison

%description
This distribution contains a library to access GSM mobile phones through GSM
modems. Features include:
    * modification of phonebooks stored in the mobile phone or on the SIM card
    * reading and writing of SMS messages stored in the mobile phone
    * sending and reception of SMS messages 

Additionally, some simple command line programs are provided to use these
functionalities. 

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS COPYING ChangeLog NEWS TODO
%{_bindir}/gsm*
%{_mandir}/man1/gsm*
%{_mandir}/man7/gsm*
%{_mandir}/man8/gsm*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.11-0.3mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 1.11-0.3mdv2007.0
+ Revision: 115862
- Rebuild
- Import gsmlib

* Tue Jun 13 2006 Helio Castro <helio@mandriva.com> 1.11-0.2mdk
- Fixed headers ( gcc4 patch )

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 1.11-0.1mdk
- go to pre1.11-041028
- tweak the patch for gcc 4

* Wed Jun 09 2004 Austin Acton <austin@mandrake.org> 1.10-2mdk
- configure 2.5
- patch for new gcc (Christiaan Welvaart)

